#include <maps/libs/local_postgres/include/instance.h>

#include <library/cpp/testing/unittest/registar.h>
#include <library/cpp/testing/common/env.h>

namespace maps::wiki::stat::tests {

namespace {

const std::string MIGRATIONS_PATH =
    ArcadiaSourceRoot() + "/maps/wikimap/stat/migrations/migrations";

} // namespace

Y_UNIT_TEST_SUITE(test_migrations)
{

Y_UNIT_TEST(test_apply_migrations)
{
    local_postgres::Database postgres;
    postgres.createExtension("postgis");

    postgres.runPgMigrate(MIGRATIONS_PATH);
}

}

} //namespace maps::wiki::stat:tests
